#include <windows.h>
#include <alloc.h>

#include  "h_file.h"


LPLIST   CharData[MAX_CHARS] = { 0 };
char     chErrBuf[MAX_CHARS] = { 0 };

//
// Returns pointer to LIST of strokes for the specified instance
// of the specified character.
//
LPLIST GetCharInstanceData( int ch, int index )
{
    if ( CharData[ ch ]  &&
         index < CharData[ ch ]->num_items )
    {
        return (LPLIST)(CharData[ ch ]->items[ index ]);
    }
    return NULL;
}    


//
//  Returns pointer to first point for LIST pointer of POINTS.
//
LPPOINT GetFirstPoint( LPLIST lpStroke )
{
    return (LPPOINT) (&lpStroke->items[0] );
}
