#ifdef __cplusplus
extern "C"
{
#endif

#ifndef FAR
#define FAR __far
#endif

typedef int INT16;
typedef unsigned long ULONG;
typedef short bool; 
typedef INT16 FAR * LPINT16;
typedef long INT32;
typedef INT32 FAR * LPINT32;
typedef unsigned long UINT32;
typedef UINT32 FAR * LPUINT32;
typedef struct { INT16 v,h; } VHPoint;
typedef VHPoint FAR * lpVHPoint;
typedef struct { INT16 left,top,right,bottom; } Rect;
typedef Rect FAR *lpRect;

typedef void FAR *GenericT;
typedef struct tagList
{
    INT16    num_items; 
    GenericT items[1]; 
}  List;

typedef List FAR* lpList;
typedef lpList FAR* lpLpList;

#ifndef DISPLAY
#define	DISPLAY	void
#endif
typedef DISPLAY* HDISPLAY;

void     LoadHWXData(const char* name);
int      GetInstanceCount(int ch);
void     DisplayInstance(int char_code,int instance_num);
void     UnloadHWXData(void);
lpList   GetInstanceDataEx(int ch,int inst); 
RECT	CalcInstanceBoundingBox(int char_code, int instance_num);
void RegisterCallback(HDISPLAY display_entity, 
		void (*pf_move_to)(HDISPLAY,INT16,INT16), 
		void (*pf_line_to)(HDISPLAY,INT16,INT16));


#ifdef __cplusplus
}
#endif
