#include <owl.h>
#include "color.h"


TColorDialog::TColorDialog( PTWindowsObject p , COLORREF &crColor, BOOL big )
{
    CHOOSECOLOR ccTemp;
    COLORREF crTemp[16];

    ccTemp.lStructSize  = sizeof( CHOOSECOLOR );
    ccTemp.hwndOwner    = p->HWindow;
    ccTemp.hInstance    = 0;
    ccTemp.rgbResult    = crColor;
    ccTemp.lpCustColors = crTemp;
    ccTemp.Flags = ( big ? CC_RGBINIT : CC_PREVENTFULLOPEN | CC_RGBINIT );
    ccTemp.lCustData    = 0L;
    ccTemp.lpfnHook     = NULL;
    ccTemp.lpTemplateName = NULL;
    if( ChooseColor( &ccTemp ) == TRUE )
         crColor = ccTemp.rgbResult;
};

