#####
##### Simple make file
##### Useful for one source file
#####


.PROLOG:
        %if %exists(make.sem)
        @>
        @echo Somebody else is currently building $*
        @echo Try again later ...
        %exit 1
        %endif


.EPILOG:
        @>
        @echo Make session completed -
        @systime
        @>


.INIT:
        @systime > make.sem
        @castoff all
        @map p:=atm\code:bld\920505\nlmsdk
        %setenv wcg386=$(BIN)\386wcgl.exe
        %setenv INC386=p:\bld\920617\nlmsdk\include


.DEINIT:
        @del make.sem
        @caston all

TARG=$[r, $(FIRSTTARGET)]

BIN=w:\public\wcc90\bin
BINB=w:\public\wcc90\binb
LIB=p:\bld\920617\oslib\import
INCLUDE=p:\bld\920617\nlmsdk\include
IMP=$(LIB)\CLIB.imp
EXP=$(TARG).exp 
OBJS=$(TARG).obj $(LIB)\prelude.obj
CCOPTS=/ez /od /3s /zq /d1 
CCCMD=wcc386p
LINKCMD=nlmlinkp
MODS=CLIB
VER=1,0,0


.c.obj:
        @>
        @echo Compiling $<
        @>
        $(CCCMD) $(CCOPTS) $<
        wdisasm /l /s=$< $(TARG).obj

.obj.nlm:
        .LIS_FILE q:\users\miked\engine\engine.def

        @>
        @echo Linking $<
        @>
        nlmlinkp < <

COPYRIGHT    "Copyright 1992 Michael Day"
DEBUG
DESCRIPTION "Dist. Record Mgr. Demo"
IMPORT @$(IMP)
#EXPORT @$(EXP)
INPUT $(OBJS)
MAP
MODULE $(MODS)
OUTPUT $(TARG)
SCREENNAME "Engine Record Manager"
STACK 4096
TYPE 0
THREADNAME "Engine"
VERSION $(VER)
<
