#ifndef  __SHOWDRAW_H
#define  __SHOWDRAW_H


#include <windows.h>
#include "h_file.h"
#include "drawdata.h"


/*------------------------- *|
| #define  MIN_SCALE      1  |
| #define  MAX_SCALE      10 |
| #define  NORM_SCALE     5  |
\* ------------------------ */


template < class T >
T min( T a, T b)   { return (((a) < (b)) ? (a) : (b)); }

template < class T >
T max( T a, T b)   { return (((a) > (b)) ? (a) : (b)); }



const int AveScale = NORM_SCALE;


int DrawCharLines( HDC hdc,
                   RECT &boundRect,
                   int ch,
                   int inst_index,
				   int nScale = NORM_SCALE );

int DrawCharPoints( HDC hdc,
                    RECT &rect,
                    int ch,
                    int inst_index,
                    int nScale = NORM_SCALE );

void GetCharRect( LPLIST lpInstance , RECT &rect);


#endif   // __SHOWDRAW_H
